#!/usr/bin/make -f

export PYBUILD_NAME = social-auth

# Testing disabled; requires python{,3}-saml
export PYBUILD_DISABLE = test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/examples.tar.gz

override_dh_auto_build:
	dh_auto_build
	tar cfz debian/examples.tar.gz examples/
	$(MAKE) -C docs html
